Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`interfaces`.`IConversation``

interface documentation

`class IConversation(Interface): (source)`

Constructor: `IConversation(chatui)`

View In Hierarchy

A conversation with a specific person.

Method | `__init__` | No summary
Method | `changedNick` | No summary
Method | `hide` | nor this neither.
Method | `sendText` | Undocumented
Method | `show` | doesn't seem like it belongs in this interface.
Method | `showMessage` | Undocumented

def __init__(person, chatui): (source)

Parameters
person:`IPerson` | Undocumented
chatui | Undocumented

def changedNick(person, newnick): (source)

Parameters
person | XXX Shouldn't this always be Conversation.person?
newnick | Undocumented

def hide(): (source)

nor this neither.

def sendText(text, metadata): (source)

Undocumented

def show(): (source)

doesn't seem like it belongs in this interface.

def showMessage(text, metadata): (source)

Undocumented